Skip to main content
POST
/
pipelines
/
{id}
/
promote
Promote pipeline
curl --request POST \
  --url https://api.sevalla.com/v3/pipelines/{id}/promote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_app_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
  "target_app_ids": [
    "fb5e5168-4281-4bec-94c5-0d1584e9e657"
  ]
}
'
[
  {
    "target_app_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
    "deployment_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

Pipeline identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

Body

application/json
source_app_id
string<uuid>
required

Identifier of the application to promote from. The latest successful deployment of this app will be used.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

target_app_ids
string<uuid>[]
required

Identifiers of the applications to promote to. Each target app will receive a new deployment using the source app build.

Minimum array length: 1
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:
["fb5e5168-4281-4bec-94c5-0d1584e9e657"]

Response

Default Response

target_app_id
string<uuid>
required

Identifier of the target application that received the promotion

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"

deployment_id
string<uuid>
required

Identifier of the new deployment created on the target application

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"fb5e5168-4281-4bec-94c5-0d1584e9e657"